{ config, lib, pkgs, modulesPath, ... }:
let
  ip = "93.95.230.11";
  gateway = "93.95.230.1";
  hostname = "vpsorvhm2v";
  dns0 = "93.95.224.28";
  dns1 = "93.95.224.29";

in {
  imports = [ (modulesPath + "/profiles/qemu-guest.nix") ];

  boot.initrd.availableKernelModules =
    [ "ata_piix" "uhci_hcd" "virtio_pci" "sr_mod" "virtio_blk" ];
  boot.initrd.kernelModules = [ "dm-snapshot" ];
  boot.kernelModules = [ ];
  boot.extraModulePackages = [ ];

  fileSystems."/" = {
    device = "/dev/disk/by-uuid/031e2049-33ed-4d21-a208-8da3fc250260";
    fsType = "ext4";
  };

  # swapDevices = [{
  #   device = "/dev/disk/by-uuid/bc6acd1f-98bb-4f94-b52c-40aa7312e838";
  # } {
  #   device = "/var/lib/swapfile";
  #   size = 2*1024;
  # }];

  networking.useDHCP = lib.mkForce false;
  networking.domain = "";

  networking.interfaces.ens3.ipv4.addresses = [{
    address = ip;
    prefixLength = 24;
  }];
  networking.defaultGateway = {
    address = gateway;
    interface = "ens3";
  };
  networking.nameservers = [ dns0 dns1 ];

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
}
